return gears.table.join(
	awful.key( {"Mod4"}, "r",
		function ()
			awful.screen.focused().mypromptbox:run()
		end,
		{
			description = "Run prompt",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "x",
		function ()
			awful.screen.focused().mypromptbox:run()
		end,
		{
			description = "Run prompt",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "Tab",
		function ()
			bin.rofi.launcher()
		end,

		{
			description = "Open Launcher",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "Return",
		function ()
			awful.spawn(terminal)
		end,

		{
			description = "Open a terminal",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "]",
		function ()
			awful.spawn(terminal .. " ranger /home/mark")
		end,

		{
			description = "Launch ranger in kitty",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4", "Control"}, "Return",
		function ()
			awful.spawn("kitty --class \"kitty-noblur\" --override background_opacity=0.5 --override hide_window_decorations=yes")
		end,

		{
			description = "Open a floating kitty terminal",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "\\",
		function ()
			awful.spawn(conf.browser)
		end,

		{
			description = "Open a browser tab",
			group = "Launcher"
		}
	)
)
